/// <reference types="react" />
import './style/floatingMultipleSelectField.style.css';
export type SelectOptionType = {
    value: string;
    label: string;
};
export type MultipleSelectFieldProps = {
    control: any;
    controller: any;
    value?: any;
    selectLabel: string;
    defaultValue?: SelectOptionType[];
    selectName: string;
    selectOptions: SelectOptionType[];
    formControlProps?: {};
    validationErrorMessage?: string;
};
export declare const FloatingMultipleSelectField: (props: MultipleSelectFieldProps) => JSX.Element;
